Subject: Re: Multicast addresses AllSPFRouters, AllDRouters

From: Beatriz Silva <[email-masked]>
Date: Mon, 24 Jun 2002 05:20:00 -0500

Amit, thanks for the answer. But I still have some doubts ...

More specifically my question is:

When a packet to AllSPFRouters is sent, what is the MAC address written in the destination field of the Ethernet header ? Is it a mac multicast address or is there a mapping between the ip multicast address and the mac addresses of all of the routers that joined that multicast address ?
And what must be done in the router in order for it to be capable to liste to packets to multicast address AllSPFRouters and AllDRouters (if it is the case) ?
Why does the router have to send an IGMP membership report message to AllSPFaddress and to AllDRouters multicast addresses ?

I hope I am not too confusing ..

Thank you,

Beatriz
> > AllSPFRouters and another to AllDRouters
----- Original Message -----
From: Amit Srivastava <[email-masked]>
Date:         Mon, 24 Jun 2002 02:41:34 -0700
To: [email-masked]
Subject: Re: Multicast addresses AllSPFRouters, AllDRouters

> Hi Beatriz.
>    As far as i could understand your problem the
> answer to it is:-
>            The Ip layer keeps a buffer(table) in which
> it stores all the IP addresses it is listening to.So
> when a packet is send on the net the Ip layer would
> check the destination ip address from the buffer it is
> holding and if the address is found then it will give
> the packet to the other protocol otherwise it will
> discard the packet.
> Regards
> Amit
> --- Beatriz Silva <[email-masked]> wrote:
> > Hi !
> >
> > I realized that as soon as I put one of the routers
> > interfaces up, one of the first things that is done
> > is to send a IGMP membership report message to
> > AllSPFRouters and another to AllDRouters. Does
> > anybody knows why ?? Does the router interface keeps
> > a table including all of the member addresses of
> > these multicast addresses ? Is there a mapping from
> > the Ip multicast address to all of the destined mac
> > addresses ?
> >
> > Thank you very much,
> >
> > Beatriz
> > --
> >
> __________________________________________________________
> > Sign-up for your own FREE Personalized E-mail at
> > Mail.com
> > http://www.mail.com/?sr=signup
> >
> > Save up to $160 by signing up for NetZero Platinum
> > Internet service.
> > http://www.netzero.net/?refcd=N2P0602NEP8
>
>
> __________________________________________________
> Do You Yahoo!?
> Yahoo! - Official partner of 2002 FIFA World Cup
> http://fifaworldcup.yahoo.com
>

--
__________________________________________________________
Sign-up for your own FREE Personalized E-mail at Mail.com
http://www.mail.com/?sr=signup

Save up to $160 by signing up for NetZero Platinum Internet service.
http://www.netzero.net/?refcd=N2P0602NEP8

---

From: Amit Srivastava <[email-masked]>
Date: Mon, 24 Jun 2002 05:10:00 -0700

Hi Beatriz,
      The mac address that is sent(as destination) is
the exact mapping of the multicast IP address.If you
are using the Linux system then by default it supports
Mac layer multicast support.
            So if your destination IP is 224.0.0.5
then your mac destination address will be 01 00 5e 00
00 05 in hex.
       The IGMP group joining is sent as a rule for
the IP multicaste which states that whenever you join
any group of multicaste address you have to send a
group join indiaction to your router.Study multicaste
general protocol to make picture more clear.
I hope i am clear!!
Regards
Amit
--- Beatriz Silva <[email-masked]> wrote:
> When a packet to AllSPFRouters is sent, what is the
> MAC address written in the destination field of the
> Ethernet header ? Is it a mac multicast address or
> is there a mapping between the ip multicast address
> and the mac addresses of all of the routers that
> joined that multicast address ?
> And what must be done in the router in order for it
> to be capable to liste to packets to multicast
> address AllSPFRouters and AllDRouters (if it is the
> case) ?
> Why does the router have to send an IGMP membership
> report message to AllSPFaddress and to AllDRouters
> multicast addresses ?
>

---

From: Samvid Shah <[email-masked]>
Date: Thu, 27 Jun 2002 13:22:07 -0700

Hi Group,
        Sorry for the late reply.

        my 2 cents to this discussion.

        first regarding mapping IP address to MAC address,
        as per RFC 1112
        "An IP host group address is mapped to an Ethernet multicast address
   by placing the low-order 23-bits of the IP address into the low-order
   23 bits of the Ethernet multicast address 01-00-5E-00-00-00 (hex).
   Because there are 28 significant bits in an IP host group address,
   more than one host group address may map to the same Ethernet
   multicast address."

       now coming to membership reports generated by OSPF router,
       as per RFC 2328, section 4.4 (page 44)

       "IP multicast
            Certain OSPF packets take the form of IP multicast
            datagrams.  Support for receiving and sending IP multicast
            datagrams, along with the appropriate lower-level protocol
            support, is required.  The IP multicast datagrams used by
            OSPF never travel more than one hop. For this reason, the
            ability to forward IP multicast datagrams is not required.
            For information on IP multicast, see [Ref7]."

       since, IGMP (along with multicast routing protocols) is typically
used for multicast data transfer across multiple hops,  I think It is not
required to send group memberships for allSPFRouters  and allDRouters .
Also, since  IGMP is designed for interactions between host and router,   I
think, sending membership report  is not required.

        but if your question is,
                  if by sending this membership report, are we breaking any
thing here ?

                  I have to say , I could not find any reference that says
IGMP membership report *must not* be sent by OSPF router. (May be more
knowledgeable soul can throw a light here.)

      Thanks.
                               -Samvid

---

From: Amit Srivastava <[email-masked]>
Date: Fri, 28 Jun 2002 01:24:03 -0700

Hi samvid!!
      When you say that all the ospf packet do not
travel more than one hop away then i think you are not
considering the virtual links!!!
             Plz think on that aspect and the picture
would be more clear!!
Regards
Amit

--- Samvid Shah <[email-masked]> wrote:
> > > Amit, thanks for the answer. But I still have
> some
> > > doubts ...
> > >
> > > >            The Ip layer keeps a buffer(table)
> in
> > > which
> > > > check the destination ip address from the
> buffer
> > > it is
> > > > holding and if the address is found then it
> will
> > > give
> > > > > interfaces up, one of the first things that
> is
> > > done
> > > > > anybody knows why ?? Does the router
> interface
> > > keeps
> > > > > these multicast addresses ? Is there a
> mapping
> > > from
> > > > > the Ip multicast address to all of the
> destined
> > > mac
> > > > > addresses ?
> > > > >
> > > > > Thank you very much,
> > > > >
> > > > > Beatriz
> > > > > --
> > > > >
> > > >
> > >
> >
>
> > > > > http://www.mail.com/?sr=signup
=== message truncated ===

---

From: Samvid Shah <[email-masked]>
Date: Fri, 28 Jun 2002 09:28:20 -0700

Hi ,
  as per my understanding,  on virtual links packets are sent as unicasts.

  I am also attaching part of RFC 2328 section 8.1  Sending protocol
packets.

"The IP destination address for the packet is selected as
        follows.  On physical point-to-point networks, the IP
        destination is always set to the address AllSPFRouters.  On all
        other network types (including virtual links), the majority of
        OSPF packets are sent as unicasts, i.e., sent directly to the
        other end of the adjacency. "

  Thanks.
                          -Samvid